# Django settings for fpasteorg project.
import os

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

SITE_ROOT = os.path.dirname(os.path.realpath(__file__))

MANAGERS = ADMINS

DATABASE_ENGINE = 'postgresql_psycopg2'           # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = 'fpaste'             # Or path to database file if using sqlite3.
DATABASE_USER = 'fpaste_user'             # Not used with sqlite3.
DATABASE_PASSWORD = 'fpaste'         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Denver'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = ''

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = ''

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = '85k052k1-uh8^xnzfmeab=(0s-n$0ve6rnym7!oj#za*k@%j=-'

GOOGLE_MAPS_KEY = 'ABQIAAAAv0c2RHg2_MXxnjW8HdWumBTCK2EEu6eZj7PyyPLTx6aGBqjM-xReFHzbCog1B91u5cSkanqWpGbzFA'
TRACKING_USE_GEOIP = True
#GEOIP_DATA_FILE = ''

CAPTCHA_CHALLENGE_FUNCT = 'captcha.helpers.random_char_challenge'
CAPTCHA_FONT_SIZE = 36
CAPTCHA_FONT_PATH = '/usr/share/fonts/bitstream-vera/Vera.ttf'
CAPTCHA_NOISE_FUNCTIONS = ('captcha.helpers.noise_arcs','captcha.helpers.noise_dots',)

DPASTE_HOMEPAGE_TITLE="Fedora Pastebin"

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

#TEMPLATE_CONTEXT_PROCESSORS += (
#    'django.core.context_processors.request',
#)

MIDDLEWARE_CLASSES = (
    'tracking.middleware.BannedIPMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'tracking.middleware.VisitorTrackingMiddleware',
    'tracking.middleware.VisitorCleanUpMiddleware',
)

ROOT_URLCONF = 'fpaste_server.urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    '%s/templates/fpaste_server/' % SITE_ROOT,
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.admin',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',

    'fpaste_server',
    # these packages are required to get fpaste-server to work
    'dpaste', # RPM: django-dpaste (https://github.com/bartTC/django-paste/)
    'tracking', # RPM: django-tracking (https://code.google.com/p/django-tracking/)
    'captcha', # RPM: django-simple-captcha (https://code.google.com/p/django-simple-captcha/)
    'mptt', # RPM: django-mptt (https://code.google.com/p/django-mptt/)

)
